import time

print("SAT functions")

def move_in_steps(axis, steps, delay_per_step=1):
    for step in steps:
        start_time = time.time()

        axis.set_target_value(step)
        while axis.is_moving():
            time.sleep(0.1)
        
        elapsed = time.time() - start_time
        wait_time = max(0, delay_per_step-elapsed)
        time.sleep(wait_time)
        


